[jira] [Created] (HADOOP-8417) HADOOP-6963 didn't update hadoop-core-pom-template.xml

Previous Topic Next Topic
 
classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

[jira] [Created] (HADOOP-8417) HADOOP-6963 didn't update hadoop-core-pom-template.xml

Jinglun (Jira)
Zhihong Yu created HADOOP-8417:
----------------------------------

             Summary: HADOOP-6963 didn't update hadoop-core-pom-template.xml
                 Key: HADOOP-8417
                 URL: https://issues.apache.org/jira/browse/HADOOP-8417
             Project: Hadoop Common
          Issue Type: Bug
            Reporter: Zhihong Yu


HADOOP-6963 introduced commons-io 2.1 in ivy.xml but forgot to update the hadoop-core-pom-template.xml.

This has caused map reduce jobs in downstream projects to fail with:
{code}
Caused by: java.lang.ClassNotFoundException: org.apache.commons.io.FileUtils
        at java.net.URLClassLoader$1.run(URLClassLoader.java:202)
        at java.security.AccessController.doPrivileged(Native Method)
        at java.net.URLClassLoader.findClass(URLClassLoader.java:190)
        at java.lang.ClassLoader.loadClass(ClassLoader.java:306)
        at sun.misc.Launcher$AppClassLoader.loadClass(Launcher.java:301)
        at java.lang.ClassLoader.loadClass(ClassLoader.java:247)
        ... 15 more
{code}
This caused a regression for 1.0.3 because downstream projects used to not directly depend on commons-io

--
This message is automatically generated by JIRA.
If you think it was sent incorrectly, please contact your JIRA administrators: https://issues.apache.org/jira/secure/ContactAdministrators!default.jspa
For more information on JIRA, see: http://www.atlassian.com/software/jira

       
Reply | Threaded
Open this post in threaded view
|

[jira] [Resolved] (HADOOP-8417) HADOOP-6963 didn't update hadoop-core-pom-template.xml

Jinglun (Jira)

     [ https://issues.apache.org/jira/browse/HADOOP-8417?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel ]

Konstantin Boudnik resolved HADOOP-8417.
----------------------------------------

    Resolution: Fixed

Committed to branch-1.1. Thank you Zhihong.
               

> HADOOP-6963 didn't update hadoop-core-pom-template.xml
> ------------------------------------------------------
>
>                 Key: HADOOP-8417
>                 URL: https://issues.apache.org/jira/browse/HADOOP-8417
>             Project: Hadoop Common
>          Issue Type: Bug
>    Affects Versions: 1.0.3
>            Reporter: Zhihong Ted Yu
>            Assignee: Zhihong Ted Yu
>             Fix For: 1.1.0
>
>         Attachments: hadoop-8417-v2.txt, hadoop-8417.txt
>
>
> HADOOP-6963 introduced commons-io 2.1 in ivy.xml but forgot to update the hadoop-core-pom-template.xml.
> This has caused map reduce jobs in downstream projects to fail with:
> {code}
> Caused by: java.lang.ClassNotFoundException: org.apache.commons.io.FileUtils
> at java.net.URLClassLoader$1.run(URLClassLoader.java:202)
> at java.security.AccessController.doPrivileged(Native Method)
> at java.net.URLClassLoader.findClass(URLClassLoader.java:190)
> at java.lang.ClassLoader.loadClass(ClassLoader.java:306)
> at sun.misc.Launcher$AppClassLoader.loadClass(Launcher.java:301)
> at java.lang.ClassLoader.loadClass(ClassLoader.java:247)
> ... 15 more
> {code}
> This caused a regression for 1.0.3 because downstream projects used to not directly depend on commons-io

--
This message is automatically generated by JIRA.
If you think it was sent incorrectly, please contact your JIRA administrators: https://issues.apache.org/jira/secure/ContactAdministrators!default.jspa
For more information on JIRA, see: http://www.atlassian.com/software/jira